Package ru.bitel.bgbilling.kernel.directory.api.common.service

# Interface DirectoryService

    public interface DirectoryService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addressCountryDelete​(int id, java.lang.String flag)` |
  `void` | `addressDirectoryDelete​(int id, int mode, java.lang.String flag)` |
  `void` | `addressHouseDelete​(int id)` |
  `void` | `addressImport​(int mode, int id, java.lang.String data)` |
  `long` | `getVersion​(java.lang.Class<? extends Id> directoryItemClass, int moduleId)` |

- ## Method Details

  - ### getVersion

    long getVersion​(java.lang.Class<? extends Id> directoryItemClass, int moduleId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### addressCountryDelete

    void addressCountryDelete​(int id, java.lang.String flag) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### addressHouseDelete

    void addressHouseDelete​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### addressDirectoryDelete

    void addressDirectoryDelete​(int id, int mode, java.lang.String flag) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### addressImport

    void addressImport​(int mode, int id, java.lang.String data) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`